PUT
/v1/crm/customers/{id}PUT /v1/crm/customers/{id}
Scopes: crm:customers:write
Requires scope: crm:customers:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | integer<int32> | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
buyerEmail | string | no | |
businessName | string | no | |
buyerPhone | string | no | |
isReseller | boolean | no | |
resellerNumber | string | no | |
customerDiscountPercentage | number<double> | no | |
shippingAddress | CustomerAddress | no | |
billingAddress | CustomerAddress | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
id | integer<int64> | no | |
message | string | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.PUT('/v1/crm/customers/{id}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);